singleton Material(glass)
{
    mapTo = "glass";
    reflectivityMap[0] = "vehicles/rapidspace/txt/glass_base.dds";
    diffuseMap[0] = "vehicles/rapidspace/txt/glass_base_2.dds";
    opacityMap[0] = "vehicles/rapidspace/txt/glass_base.dds";
    diffuseMap[1] = "vehicles/rapidspace/txt/glass_base_2.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};


singleton Material(rapidspace_chrome)
{
    mapTo = "rapidspace_chrome";
    diffuseMap[1] = "vehicles/rapidspace/txt/ducato_grey.dds";
    specularMap[1] = "vehicles/rapidspace/txt/ducato_s.dds";
    normalMap[1] = "vehicles/rapidspace/txt/ducato_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/rapidspace/txt/ducato_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    doubleSided = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(rapidspace_enginebay)
{
   mapTo = "rapidspace_enginebay";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/rapidspace/txt/enginebay.png";
   diffuseMap[1] = "vehicles/rapidspace/txt/enginebay.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(rapidspace_seatstex)
{
   mapTo = "rapidspace_seatstex";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/rapidspace/txt/seats.png";
   diffuseMap[1] = "vehicles/rapidspace/txt/seats.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(rapidspace_light)
{
   mapTo = "rapidspace_light";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/rapidspace/txt/light.png";
   diffuseMap[1] = "vehicles/rapidspace/txt/light.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(rapidspace_light128)
{
   mapTo = "rapidspace_light128";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/rapidspace/txt/vehiclelights128.png";
   diffuseMap[1] = "vehicles/rapidspace/txt/vehiclelights128.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(rapidspace_doors)
{
   mapTo = "rapidspace_doors";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/rapidspace/txt/doors.png";
   diffuseMap[1] = "vehicles/rapidspace/txt/doors.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(rapidspace_interiortex)
{
   mapTo = "rapidspace_interiortex";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/rapidspace/txt/interior.png";
   diffuseMap[1] = "vehicles/rapidspace/txt/interior.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(rapidspace_wheeltex)
{
   mapTo = "rapidspace_wheeltex";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/rapidspace/txt/wheel.png";
   diffuseMap[1] = "vehicles/rapidspace/txt/wheel.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(rapidspace_blackplast)
{
   mapTo = "rapidspace_blackplast";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/rapidspace/txt/lightblack.png";
   diffuseMap[1] = "vehicles/rapidspace/txt/lightblack.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(rapidspace_chromeblack)
{
    mapTo = "rapidspace_chromeblack";
    diffuseMap[0] = "vehicles/rapidspace/txt/black.png";
    diffuseColor[0] = "1 1 1 0.1";
    specular[0] = "0.25 0.25 0.25 1";
    specularPower[0] = "3";
    translucentBlendOp = "None";
    alphaTest = "1";
    alphaRef = "0";
    cubemap = "BNG_Sky_02_cubemap";
    beamngDiffuseColorSlot = 1;
    doubleSided = "1";
};

singleton Material(pov)
{
   mapTo = "pov";
   specular[0] = "0.996078491 0.996078491 0.996078491 1";
   glow[0] = "1";
   glow[1] = "1";
   emissive[0] = "1";
   emissive[1] = "1";
   diffuseColor[0] = "1 1 1 0.1";
   diffuseColor[1] = "1 0 0.0352941193 0.00800000038";
   translucentBlendOp = "None";
   colorMap[0] = "vehicles/rapidspace/txt/pov.png";
   specular[1] = "0.988235354 0.988235354 0.988235354 0.00800000038";
   pixelSpecular[0] = "1";
   pixelSpecular[1] = "1";
   materialTag0 = "Miscellaneous";
};

singleton Material(redon)
{
   mapTo = "redon";
   specular[0] = "0.996078491 0.996078491 0.996078491 1";
   glow[0] = "1";
   glow[1] = "1";
   emissive[0] = "1";
   emissive[1] = "1";
   diffuseColor[0] = "1 1 0.0352941193 0.00800000038";
   diffuseColor[1] = "1 1 0.0352941193 0.00800000038";
   translucentBlendOp = "None";
   colorMap[0] = "vehicles/rapidspace/txt/red.png";
   specular[1] = "0.988235354 0.988235354 0.988235354 0.00800000038";
   pixelSpecular[0] = "1";
   pixelSpecular[1] = "1";
   materialTag0 = "Miscellaneous";
};

singleton Material(lightredon)
{
   mapTo = "lightredon";
   diffuseMap[0] = "vehicles/rapidspace/txt/redlight.png";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   doubleSided = "1";
   translucentZWrite = "0";
   glow[0] = "1";
   emissive[0] = "1";
};

singleton Material(light128on)
{
   mapTo = "light128on";
   diffuseMap[0] = "vehicles/rapidspace/txt/vehiclelights128on.png";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   doubleSided = "1";
   translucentZWrite = "0";
   glow[0] = "1";
   emissive[0] = "1";
};

singleton Material(lighton)
{
   mapTo = "lighton";
   diffuseMap[0] = "vehicles/rapidspace/txt/lighton.png";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   doubleSided = "1";
   translucentZWrite = "0";
   glow[0] = "1";
   emissive[0] = "1";
};

singleton Material(doorson)
{
   mapTo = "doorson";
   diffuseMap[0] = "vehicles/rapidspace/txt/doorson.png";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   doubleSided = "1";
   translucentZWrite = "0";
   glow[0] = "1";
   emissive[0] = "1";
};

singleton Material(inton)
{
   mapTo = "inton";
   diffuseMap[0] = "vehicles/rapidspace/txt/interior.png";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   doubleSided = "1";
   translucentZWrite = "0";
   glow[0] = "1";
   emissive[0] = "1";
};